#define RND_PRES      (12)

typedef struct {
  unsigned short ch;    /* 1:monoral, 2:stereo */
  unsigned short srb;   /* sampling resolution in bits */
  unsigned short sf;    /* sampling frequnecy in herts */
} snd_head;

int dsp_ropen(char *devname);
int dsp_wopen(char *devname);
snd_head set_dsp_param(int fp, snd_head wav);
int getgcd(int a, int b);
void mkptone(short sig[], int freq, int sf, int dur, float amp, float *phase);
void mkwnoise(short sig[], int dur, float amp);
void b16to8(short in[], unsigned char out[], int dur);
int check_dsp(int dsp, int dsp_param, int value);
